"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
require("./style.css");
var useLineIndex_1 = tslib_1.__importDefault(require("./useLineIndex"));
var useScroll_1 = tslib_1.__importDefault(require("./useScroll"));
var LinesRender = function (_a) {
    var lines = _a.lines, currentTime = _a.currentTime, audioStatus = _a.audioStatus;
    var index = (0, useLineIndex_1.default)(currentTime * 1000, audioStatus);
    (0, useScroll_1.default)(index, lines);
    return (react_1.default.createElement("div", { id: 'lines' }, lines.map(function (item, index) {
        return (react_1.default.createElement("div", { key: index, className: 'outPop', dangerouslySetInnerHTML: {
                __html: item === null || item === void 0 ? void 0 : item.content,
            } }));
    })));
};
exports.default = LinesRender;
//# sourceMappingURL=base.js.map