import React from 'react';
import './style.css';
import useLineIndex from './useLineIndex';
import useAutoScroll from './useScroll';
var LinesRender = function (_a) {
    var lines = _a.lines, currentTime = _a.currentTime, audioStatus = _a.audioStatus;
    var index = useLineIndex(currentTime * 1000, audioStatus);
    useAutoScroll(index, lines);
    return (React.createElement("div", { id: 'lines' }, lines.map(function (item, index) {
        return (React.createElement("div", { key: index, className: 'outPop', dangerouslySetInnerHTML: {
                __html: item === null || item === void 0 ? void 0 : item.content,
            } }));
    })));
};
export default LinesRender;
//# sourceMappingURL=base.js.map