function useLineIndex(currentMillisecond, audioStatus) {
    var index = 0;
    var linesDom = document.querySelectorAll('.sabahna-lrc');
    for (var length_1 = linesDom.length; index <= length_1; index += 1) {
        var line = linesDom[index];
        var time = line === null || line === void 0 ? void 0 : line.getAttribute('data-duration');
        if (!line || parseInt(time) > currentMillisecond) {
            break;
        }
    }
    for (var i = 0; i < linesDom.length; i++) {
        var element = linesDom[i];
        if (i === index - 1) {
            if (audioStatus) {
                element.style.animationPlayState = 'running';
            }
            else {
                element.style.animationPlayState = 'paused';
            }
            element.classList.add('active');
        }
        if (i < index - 1) {
            element.classList.add('finish');
        }
        if (i > index - 1) {
            element.classList.remove('finish');
            element.classList.remove('active');
        }
    }
    return index - 1;
}
export default useLineIndex;
//# sourceMappingURL=useLineIndex.js.map