import { useCallback, useLayoutEffect } from 'react';
var useAutoScroll = function (lineIndex, lines) {
    var scrollToCurrentLine = useCallback(function () {
        var currentIndex = document.querySelectorAll('.sabahna-lrc');
        var root = document.getElementById('lines');
        var indexMap = currentIndex[lineIndex];
        if (indexMap) {
            root.scrollTop = indexMap.offsetTop - root.clientHeight * 0.5 + indexMap.clientHeight / 2;
        }
        else {
            root.scrollTop = 0;
        }
    }, [lineIndex]);
    useLayoutEffect(function () {
        scrollToCurrentLine();
    }, [scrollToCurrentLine, lines]);
};
export default useAutoScroll;
//# sourceMappingURL=useScroll.js.map