"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useAutoScroll = function (lineIndex, lines) {
    var scrollToCurrentLine = (0, react_1.useCallback)(function () {
        var currentIndex = document.querySelectorAll('.sabahna-lrc');
        var root = document.getElementById('lines');
        var indexMap = currentIndex[lineIndex];
        if (indexMap) {
            root.scrollTop = indexMap.offsetTop - root.clientHeight * 0.5 + indexMap.clientHeight / 2;
        }
        else {
            root.scrollTop = 0;
        }
    }, [lineIndex]);
    (0, react_1.useLayoutEffect)(function () {
        scrollToCurrentLine();
    }, [scrollToCurrentLine, lines]);
};
exports.default = useAutoScroll;
//# sourceMappingURL=useScroll.js.map