export var ParseLrc = function (lrc) {
    var regex1 = /(\[\d+,\d+\])(.+?)(\(\d+,\d+\))/g;
    var result1 = lrc.replaceAll(regex1, function (match, group1, group2) {
        var _a, _b;
        var ms;
        var duration;
        if (match) {
            ms = parseInt((_a = match.match(/\d+/g)) === null || _a === void 0 ? void 0 : _a.pop());
            duration = parseInt((_b = match.match(/\d+/g)) === null || _b === void 0 ? void 0 : _b.shift());
        }
        return "".concat(group1, "<div class=\"sabahna-lrc\" data-duration=\"").concat(duration, "\"  data-delay=\"").concat(ms, "ms\"  style=\"--my-delay: ").concat(ms, "ms;\">").concat(group2, "</div>");
    });
    var regex = /(<\/div>)(.*?)(\(\d+,\d+\))/g;
    var replacement = '$1####$3';
    var check = null;
    if (result1.match(regex) != null) {
        check = result1.match(regex)[0].match(/(<\/div>)(\(\d+,\d+\))/g);
    }
    var result;
    if (check != null) {
        result = result1.replaceAll(regex, replacement);
    }
    else {
        result = result1;
    }
    var regex2 = /(\[\d+,\d+\])(.+?)(\(\d+,\d+\))/g;
    var result2 = result.replaceAll(regex2, function (match, group1, group2) {
        var ms;
        var duration;
        var time = match.match(/\d+,\d+/g)[1].split(',');
        if (match) {
            ms = parseInt(time[1]);
            duration = parseInt(time[0]);
        }
        return "".concat(group1).concat(group2.split('</div>')[0], "</div><div class=\"sabahna-lrc\" data-duration=").concat(duration, " data-delay=\"").concat(ms, "ms\" style=\"--my-delay: ").concat(ms, "ms;\">").concat(group2.split('</div>')[1], "</div>");
    });
    var regex3 = /(\[\d+,\d+\])(.+?)(\(\d+,\d+\))/g;
    var result3 = result2.replaceAll(regex3, function (match, group1, group2) {
        var ms;
        var duration;
        var time = match.match(/\d+,\d+/g)[1].split(',');
        if (match) {
            ms = parseInt(time[1]);
            duration = parseInt(time[0]);
        }
        return "".concat(group1).concat(group2.split('</div>')[0], "</div>").concat(group2
            .split('</div>')[1]
            .replace('####', ''), "</div><div class=\"sabahna-lrc\" data-duration=").concat(duration, " data-delay=\"").concat(ms, "ms\" style=\"--my-delay: ").concat(ms, "ms;\">").concat(group2.split('</div>')[2], "</div>");
    });
    return result3.replaceAll(/(\[\d+,\d+\])(\(\d+,\d+\))/g, '');
};
//# sourceMappingURL=parseLrc.js.map